Chapter 4. Installing the NVIDIA Driver
Prev | Part I. Installation and Configuration Instructions | Next

## Chapter 4. Installing the NVIDIA Driver

This chapter provides instructions for installing the NVIDIA driver. Note that after installation, but prior to using the driver, you must complete the steps described in Chapter 6, Configuring X for the NVIDIA Driver. Additional details that may be helpful for the new Linux user are provided in Appendix I, Tips for New Linux Users.

## Before you Begin

Before you begin the installation, exit the X server and terminate all OpenGL applications (note that it is possible that some OpenGL applications persist even after the X server has stopped). You should also set the default run level on your system such that it will boot to a VGA console, and not directly to X. Doing so will make it easier to recover if there is a problem during the installation process. See Appendix I, Tips for New Linux Users for details.

## Starting the Installer

After you have downloaded the file `NVIDIA-Linux-x86-195.36.03-pkg#.run`, change to the directory containing the downloaded file, and as the `root` user run the executable:

        # cd yourdirectory
        # sh NVIDIA-Linux-x86-195.36.03-pkg#.run

The `.run` file is a self-extracting archive. When executed, it extracts the contents of the archive and runs the contained `nvidia-installer` utility, which provides an interactive interface to walk you through the installation.

`nvidia-installer` will also install itself to `/usr/bin/nvidia-installer`, which may be used at some later time to uninstall drivers, auto-download updated drivers, etc. The use of this utility is detailed later in this chapter.

You may also supply command line options to the `.run` file. Some of the more common options are listed below.

Common `.run` Options

`--info`

  Print embedded info about the `.run` file and exit.

`--check`

  Check integrity of the archive and exit.

`--extract-only`

  Extract the contents of `./NVIDIA-Linux-x86-195.36.03.run`, but do not run `nvidia-installer`.

`--help`

  Print usage information for the common commandline options and exit.

`--advanced-options`

  Print usage information for common command line options as well as the advanced options, and then exit.

## Installing the Kernel Interface

The NVIDIA kernel module has a kernel interface layer that must be compiled specifically for each kernel. NVIDIA distributes the source code to this kernel interface layer, as well as precompiled versions for many of the kernels provided by popular Linux distributions.

When the installer is run, it will determine if it has a precompiled kernel interface for the kernel you are running. If it does not have one, the installer will check your system for the required kernel sources and compile the interface for you. You must have the source code for your kernel installed for compilation to work. On most systems, this means that you will need to locate and install the correct kernel-source, kernel-headers, or kernel-devel package; on some distributions, no additional packages are required (e.g. Fedora Core 3, Red Hat Enterprise Linux 4).

After the correct kernel interface has been identified (either included in the `.run` file or compiled from source code), the kernel interface will be linked with the closed-source portion of the NVIDIA kernel module. This requires that you have a linker installed on your system. The linker, usually `/usr/bin/ld`, is part of the binutils package. You must have a linker installed prior to installing the NVIDIA driver.

## Features of the Installer

Without options, the `.run` file executes the installer after unpacking it. The installer can be run as a separate step in the process, or can be run at a later time to get updates, etc. Some of the more important commandline options of `nvidia-installer` are:

`nvidia-installer` options

`--uninstall`

  During installation, the installer will make backups of any conflicting files and record the installation of new files. The uninstall option undoes an install, restoring the system to its pre-install state.

`--latest`

  Connect to NVIDIA's FTP site, and report the latest driver version and the url to the latest driver file.

`--update`

  Connect to NVIDIA's FTP site, download the most recent driver file, and install it.

`--ui=none`

  The installer uses an ncurses-based user interface if it is able to locate the correct ncurses library. Otherwise, it will fall back to a simple commandline user interface. This option disables the use of the ncurses library.

Prev | Up | Next
Chapter 3. Selecting and Downloading the NVIDIA Packages for Your System | Home | Chapter 5. Listing of Installed Components